
Ryzom - Bug # 830

Status: Closed Priority: High
Author: kervala Category: OS: GNU/Linux
Created: 05/06/2010 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: setDisplay doesn't work as intended when we pass a window id under Linux
Description

The first parameter for setDisplay is a void * but it should be a typedef to system specific type for a window (HWND under Windows
and int under Linux). In Linux part of setDisplay, we also should reuse existing window instead of creating a new one.

History
#1 - 05/06/2010 09:08 am - kervala
- Status changed from Validated to Resolved
- % Done changed from 0 to 100

Applied in changeset r2457.

#2 - 05/06/2010 09:10 am - kervala
- Target version set to 0.8.0

#3 - 05/06/2010 06:30 pm - kervala

Applied in changeset r2459.

#4 - 09/29/2010 09:49 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (3d)
- Target version deleted (0.8.0)

#5 - 09/29/2010 10:22 pm - kervala
- Category set to NeL: General
- Status changed from Resolved to Closed
- Target version set to Version 0.8.0

#6 - 09/30/2010 11:49 am - kervala
- Category changed from NeL: General to OS: GNU/Linux
